ContextRuleSet (Apache Tomcat 11.0.23 API Documentation)
Description: declaration: package: org.apache.catalina.startup, class: ContextRuleSet

# Class ContextRuleSet

java.lang.Object
org.apache.catalina.startup.ContextRuleSet

All Implemented Interfaces:
  `RuleSet`

public class ContextRuleSet extends Object implements RuleSet
RuleSet for processing the contents of a Context definition element.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final boolean`
  `create`
  Should the context be created.
  `protected final String`
  `prefix`
  The matching pattern prefix to use for recognizing our elements.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextRuleSet()`
  Construct an instance of this `RuleSet` with the default matching pattern prefix.
  `ContextRuleSet(String prefix)`
  Construct an instance of this `RuleSet` with the specified matching pattern prefix.
  `ContextRuleSet(String prefix, boolean create)`
  Construct an instance of this `RuleSet` with the specified matching pattern prefix.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addRuleInstances(Digester digester)`
  Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### prefix

    protected final String prefix
    The matching pattern prefix to use for recognizing our elements.

  - ### create

    protected final boolean create
    Should the context be created.

- ## Constructor Details

  - ### ContextRuleSet

    public ContextRuleSet()
    Construct an instance of this `RuleSet` with the default matching pattern prefix.

  - ### ContextRuleSet

    public ContextRuleSet(String prefix)
    Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    Parameters:
      `prefix` - Prefix for matching pattern rules (including the trailing slash character)

  - ### ContextRuleSet

    public ContextRuleSet(String prefix, boolean create)
    Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    Parameters:
      `prefix` - Prefix for matching pattern rules (including the trailing slash character)
      `create` - `true` if the main context instance should be created

- ## Method Details

  - ### addRuleInstances

    public void addRuleInstances(Digester digester)
    Description copied from interface: `RuleSet`
    Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
    Specified by:
      `addRuleInstances` in interface `RuleSet`
    Parameters:
      `digester` - Digester instance to which the new Rule instances should be added.